petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSetApplicationContextDestroy

Sets a user function that will be called to destroy the application context when the DM is destroyed

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMSetApplicationContextDestroy(DM dm,PetscErrorCode (*destroy)(void**))

Not Collective Many br

### Input Parameters

| dm | - the DM object Many br
| destroy | - the destroy function Many br

Many br

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMGetApplicationContext()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex35.c.html